## xdebconfigurator 1.08

=== Makefile ===
package = xdebconfigurator
version = 1.07

INSTALL      = install -D
INSTALL_DATA = install -m644 -D

prefix  = /usr
sbindir = $(prefix)/sbin
datadir = $(prefix)/share
pkgdir  = $(datadir)/$(package)
docdir  = $(datadir)/doc/$(package)

XDFILES = \
	xdeb3server \
	Xdriver.pl \
	Xdriver2.pl \
	Xdriver3.pl \
#	Xdebset.pl \
	table_converter.pl		
all:

install:
	$(INSTALL) -d $(DESTDIR)$(sbindir)
	$(INSTALL) -d $(DESTDIR)$(pkgdir)
	$(INSTALL) -d $(DESTDIR)$(docdir)

	$(INSTALL) Xdebconfigurator.pl $(DESTDIR)$(sbindir)/xdebconfigurator

	for xd in $(XDFILES); do \
		$(INSTALL) $$xd $(DESTDIR)$(pkgdir)/$$xd; \
	done

	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
	$(INSTALL_DATA) pcitable.map $(DESTDIR)$(pkgdir)/pcitable.map

clean:
	$(RM) .#* *~
distclean: clean
	-debian/rules clean

debdist:
	debuild -us -uc

dist: distclean
	rm -rf $(package)-$(version) $(package)-$(version).tar.gz
	mkdir $(package)-$(version)
	rsync --exclude CVS --exclude $(package)-$(version) -av . $(package)-$(version)
	tar cf $(package)-$(version).tar $(package)-$(version)
	gzip -9 $(package)-$(version).tar
	rm -rf $(package)-$(version)

=== debian/changelog ===
xdebconfigurator (1.08) unstable; urgency=low

  * Petter Reinholdtsen
    - Cleaned up Makefile.
    - Removed dh_testroot from clean target in rules.  No need to be root
      just to clean up the source.
    - Add toplevel makefile rule 'dist' to make source tarball.
      Rename old target 'dist' to 'debdist'.
  * Morten Werner Olsen
    - Stopped using Xdriver3.pl / lookup_card3() as we still don't want to
      maintain our own hardware database.
    - Leaving config/device/video_ram blank (not required on most graphic
      boards, so we will start making exceptions for the boards that needs it).
    - Removing unused code.

 -- Morten Werner Olsen <werner@skolelinux.no>  Sat, 24 Apr 2004 19:22:50 +0200

xdebconfigurator (1.07) unstable; urgency=low

  * Updating man-page. (Closes: #244629)

 -- Morten Werner Olsen <werner@skolelinux.no>  Fri, 23 Apr 2004 13:58:29 +0200

xdebconfigurator (1.06) unstable; urgency=low

  * Setting 24 as maximum color depth.

 -- Morten Werner Olsen <werner@skolelinux.no>  Sun, 27 Mar 2004 12:00:01 +0200

xdebconfigurator (1.05) unstable; urgency=low

  * Changed dependency from discover to discover1. (Closes: #239771)

 -- Morten Werner Olsen <werner@skolelinux.no>  Sat, 27 Mar 2004 00:55:02 +0100

xdebconfigurator (1.04) unstable; urgency=low

  * Cleaned up the code a bit (!).
  * Now running kudzu on the fly (not using /etc/sysconfig/hwinfo).
  * Finish search in kudzu result on a line starting with a dash (-).
  * Removed the /proc/pci and Xserver2.pl methods.
  * Fixed bug where xdebconfigurator didn't try all methods when
    dry-running (-x).
  * Removed "config/inputdevice/keyboard/layout" (another package shall
    handle this) (this was actually done in version 1.02, but was
    forgotten when writing changelog).

 -- Morten Werner Olsen <werner@skolelinux.no>  Wed, 17 Mar 2004 21:35:41 +0100

xdebconfigurator (1.03) unstable; urgency=low

  * Fixed a missing variablename in xdebset().
  * Removed Xdebset.pl from Makefile.

 -- Morten Werner Olsen <werner@skolelinux.no>  Sun, 29 Feb 2004 15:00:46 +0100

xdebconfigurator (1.02) unstable; urgency=low

  * Morten Werner Olsen
    - Included Xdebset.pl into Xdebconfigurator.pl as xdebset() to avoid
      storing Debconf-values in xdebc.db.
    - Removing /usr/share/xdebconfigurator/xdebc.db in debian/postinst.
    - Removed debian/README.debian (not used).
    - Lintian and Linda clean.
    - Added myself as a uploader.

 -- Morten Werner Olsen <werner@skolelinux.no>  Mon,  8 Mar 2004 21:49:15 +0100

xdebconfigurator (1.01) unstable; urgency=low

  * Bart Cornelis
    - Mailing list is moved to debian-edu@l.d.o, changed maintainer
      address accordingly.
  * Petter Reinholdtsen
    - Convert changelog and control file to UTF-8.
    - Wrote manual page for xdebconfigurator(8).  (Closes: #234692)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 26 Feb 2004 09:59:03 +0100

xdebconfigurator (1.0-1) unstable; urgency=low

  * Inital upload into Debian.
  * Stopped autobuilding from Skolelinux CVS.
  * Petter Reinholdtsen
    - Change maintainer to devel@skolelinux.no, and adding myself,
      Andreas Schuldei and Kristoffer Tjærnås as uploaders.
    - Depend on xserver-common, as this package is filling in the
      debconf answers for dexconf on xserver-common.
    - Drop direct dependency on hwdata as it is is pulled in by kudzu.
    - Drop direct dependency on discover-data as it is is pulled in by
      discover.
    - Only suggest hwinfo and kudzu-vesa, as both are missing in
      Debian at the moment.
    - Make sure only the xdebconfigurator script is in the PATH.  Move
      all support script to /usr/share/xdebconfigurator.
    - Switching Makefile over to use install.
  * Andreas Schuldei
    - Switching debian/rules over to use debhelper.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 31 Jan 2004 16:53:08 +0100

=== debian/control ===
Source: xdebconfigurator
Section: x11
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Kristoffer Tjærnås <dar@swirve.com>, Morten Werner Olsen <werner@skolelinux.no>
Build-Depends-Indep: debhelper 
Standards-Version: 3.6.1

Package: xdebconfigurator
Architecture: all
Depends: xserver-common, discover1 | discover, kudzu
Recommends: read-edid
Suggests: hwinfo (>= 4.27-0), kudzu-vesa, detect
Description: A script used with debconf to autoconfigure xserver-xfree86
 A script-package used in conjunction with debconf to autoconfigure
 xserver-xfree86.  This script is supposed to help setup X correctly
 even with DEBIAN_FRONTEND set to noninteractive.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


build:
#       move on, nothing to be seen here...

clean:
	dh_testdir
	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install:
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/xdebconfigurator.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-arch:
#       nothing here...

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman xdebconfigurator.8
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary install configure

## xdebconfigurator 1.15

=== debian/changelog ===
xdebconfigurator (1.15) unstable; urgency=medium

  * Morten Werner Olsen
    - Added xresprobe to Suggests: (debian/control) as it contains ddcprobe.
    - Defaulting to VESA if we're unable to detect the driver with one of
      the great hardware detection tools. (Closes: #295693)
    - Some cleanup in the hwinfo- and discover-calling.
    - Now using ImPS/2 if a wheel is detected and PS/2 is the reported
      mouse protocol. (Closes: #293374)
    - Fixed typo in /etc/init.d/xdebconfigurator (thanks to
      Finn-Arne Johansen for bugreport). (Closes: #289655)
    - Not using mdetect unless the -m option is specified (thanks to
      Finn-Arne Johansen for bugreport). (Closes: #289654)
    - Using discover over hwinfo to detect gfx-driver. hwinfo is familiar with
      the nvidia-driver, and we prefer the nv-driver (thanks to Free Ekanayaka
      for bugreport). (Closes: #292495)
  * Finn-Arne Johansen
    - Added variable to hold ARGUMENTS for xdebconfigurator in
      /etc/init.d/xdebconfigurator. (Closes: #289656)
  * Debconf translations:
    - Add Bosnian translation by Safir Secerovic.
    - Add Romanian translation by Eddy Petrisor. (Closes: #295434)
    - Updated Hebrew translation by Lior Kaplan
    - Added Galician translation by Jacobo Tarrio. Closes: #296415
    - Added Albanian translation by Elian Myftiu. Closes: #302399
    - Added Tagalog translation by Eric Pareja. Closes: #296410

 -- Morten Werner Olsen <werner@skolelinux.no>  Sat, 16 Apr 2005 18:25:43 +0200
 

xdebconfigurator (1.14) unstable; urgency=low

  * Allow non-word characters in the mouse device name fetched from
    kudzu, to allow 'input/mice' for USB mice. (Closes: 285054)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 12 Dec 2004 19:57:59 +0100

xdebconfigurator (1.13) unstable; urgency=low

  * Otavio Salvador
    - Improve mouse detection with hwinfo so when running on 2.6 kernel it
      detects /dev/input/mice nicely.
  * Petter Reinholdtsen
    - Change debconf handling to create missing templates when setting
      the values.  This will make it possible to use xdebconfigurator
      even if xserver-xfree86 isn't installed.
    - Drop dependency on xserver-common and xserver-xfree86 to make it
      possible to use xdebconfigurator to find out which X server
      package to install. (Closes: #277990)
    - Print info on where the XFree86 driver name was fetched from.
      This should make it easier to fix the correct subsystem with
      incorrect information.
  * Translations:
    - Add Russian translation by Yuri Kozlov
    - Add Italian translation by Stefano Melchior. Closes: #279006
    - Add Finnish translation by Tapio Lehtonen. Closes: #281039

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  7 Dec 2004 17:06:32 +0100

xdebconfigurator (1.12) unstable; urgency=low

  * Petter Reinholdtsen
    - Add text to template xdebconfigurator/generate-at-boot, stating
      that this template should not be translated. (Closes: #277064)
  * Translations:
    - Add German translation by Jens Nachtigall. (Closes: #277067)
    - Add French translation by Yves Rutschle
    - Add Catalan translation by Jordi Mallach. (Closes: #277363)
    - Add Portuguese translation by Niguel Figueiredo. (Closes: #277371)
    - Add Greek translation by Konstantinos Margaritis.
    - Add Indonesian translation by Parlin Imanuel.
    - Add Hungarian translation by VEROK Istvan. Closes: #277389
    - Add Danish translation by Claus Hindsgaul. Closes: #277390
    - Add Lituanian translation by Kestutis Biliunas. Closes: #277397
    - Add Turkish translation by Recai Oktas. Closes: #277398
    - Add Basque translation by Piarres Beobide. Closes: #277403
    - Add Spanish translation by Javier Fernandez Sanguino Pena. Closes: #277405
    - Add Hebrew translation by Lior Kaplan. Closes: #277407
    - Add Japanese translation by Kenshi Muto. Closes: #277436
    - Add Slovak translation by Peter Mann. Closes: #277454
    - Add Simplified Chinese translation by Carlos Liu. Closes: #277472
    - Add Czech translation by Miroslav Kure. Closes: #277620
    - Add Brazilian Portuguese translation by Andre Luis Lopes. Closes: #277642
    - Add Ukrainian translation by Eugeniy Meshcheryakov. Closes: #277676
    - Add Traditional Chinese translation by Tetralet. Closes: #277911

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Oct 2004 14:21:12 +0200

xdebconfigurator (1.11) unstable; urgency=low

  * Morten Werner Olsen
    - Cleaned up the code a bit more:
      o Renamed Xdebconfigurator.pl to xdebconfigurator.
      o Removed Xdebset.pl, Xdriver2.pl and Xdriver3.pl
      o Removed xdeb3server and traces of it in xdebconfigurator.
      o Removed pcitable.map and table_converter (we will not maintain our
        own hardware database).
    - Added lintian-overrides for no-debconf-config and
      debconf-is-not-a-registry.
  * Petter Reinholdtsen
    - Change base-config install rule to make symlink for the woody
      fragment, and a real file for the sarge fragment.
    - Make backup of old XFree86 config file when base-config fragment
      rewrite the configuration.
    - Change base-config menu order in sarge/sid from 76 to 91, to
      make sure it is placed after pkgsel(80) and
      localization-config(90).  (Closes: #275984)
  * Translations:
    - Add Dutch translation by Luk Claes. (Closes: #274901)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Oct 2004 16:58:54 +0200

xdebconfigurator (1.10) unstable; urgency=low

  * Morten Werner Olsen
    - Also removed the functionality for setting the keyboard model. This
      shall be handeled by the localization-config package.
  * Petter Reinholdtsen
    - Add base-config scripts to execute xdebconfigurator at install time.
    - Make base-config menu entry translatable.
  * Translations:
    - Add Norwegian Bokmaal (nb) by Petter Reinholdtsen.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 27 Sep 2004 10:22:01 +0200

xdebconfigurator (1.09) unstable; urgency=low



=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 Package: xdebconfigurator
 Architecture: all
-Depends: xserver-common, discover1 | discover, kudzu
+Depends: ${misc:Depends}, perl-modules, discover1 | discover, kudzu
 Recommends: read-edid
-Suggests: hwinfo (>= 4.27-0), kudzu-vesa, detect
+Suggests: hwinfo (>= 4.27-0), xresprobe | kudzu-vesa, detect
 Description: A script used with debconf to autoconfigure xserver-xfree86
  A script-package used in conjunction with debconf to autoconfigure
  xserver-xfree86.  This script is supposed to help setup X correctly

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
+	cp debian/lintian-override $(CURDIR)/debian/tmp/usr/share/lintian/overrides/xdebconfigurator
 
 	# Add here commands to install the package into debian/xdebconfigurator.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
@@ -43,12 +44,12 @@
 #	dh_installexamples
 #	dh_install
 #	dh_installmenu
-#	dh_installdebconf	
+	dh_installdebconf	
 #	dh_installlogrotate
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-#	dh_installinit
+	dh_installinit
 #	dh_installcron
 #	dh_installinfo
 	dh_installman xdebconfigurator.8

## xdebconfigurator 1.27

=== debian/changelog ===
xdebconfigurator (1.27) unstable; urgency=low

  * Added myself to uploaders.
  * Set default mouse device to /dev/input/mice (Closes: #398450).

 -- Luk Claes <luk@debian.org>  Mon, 20 Nov 2006 19:00:30 +0100

xdebconfigurator (1.26) unstable; urgency=low

  * Included xserver-xorg in package description.
  * Removed old unused code.
  * Stop using hwinfo for some monitor information as it using the running
    settings and not the capabilities of the hardware.

 -- Morten Werner Olsen <werner@debian.org>  Mon, 16 Oct 2006 16:09:35 +0200

xdebconfigurator (1.25) unstable; urgency=medium

  * Urgency set to medium as this upload fixed an important bug.
  * Do not use result from read-edid if EDID checksum fails as this
    results in strange modes on my laptop.
  * Fixing loop problem when get-edid sends its errors to stderr. Thanks
    to Dean Montgomery for bugreport and patch. (Closes: #380264)
  * Prefer discover2 over discover 1 as suggested in #387602.
  * Call discover2 and discover1 in different ways. Thanks to
    Petter Reinholdtsen for great bugreport. (Closes: #387602)
  * Removing some xserver-stuff from discover section.
  * Writing authors name in manpage with ASCII characters. Thanks to lintian.

 -- Morten Werner Olsen <werner@debian.org>  Fri, 15 Sep 2006 23:49:12 +0200

xdebconfigurator (1.24) unstable; urgency=low

  [ Morten Werner Olsen ]
  * Bumped Standards-Version to 3.7.2 (no changes needed).
  * Changed Build-Depends-Indep on debhelper to Build-Depends as we use
    debhelper in the clean-target of debian/rules (thanks to Lintian).
  * Converted manpage (xdebconfigurator.8) to UTF-8.
  * Use defined path to run ddcprobe.
  
  * Debconf translations:
    - Really added Tagalog translation by Eric Pareja. Closes: #359625
    - Added Thai translation by Theppitak Karoonboonyanan. Closes: #367354
    - Added Nepali translation by Paras Pradhan. Closes: #372863
    - Added Khmer translation by Khoem Sokhem. Closes: #374923
    - Added Dzongkha translation by Jurmey Rabgay

 -- Morten Werner Olsen <werner@debian.org>  Sun, 16 Jul 2006 16:52:09 +0200

xdebconfigurator (1.23) unstable; urgency=low

  * Upgrade hwinfo recommondation to depends, as hwinfo is installable
    in debian/sid again.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 18 Mar 2006 00:49:56 +0100

xdebconfigurator (1.22) unstable; urgency=low

  * Reduce hwinfo dependency to recommends, because hwinfo currently
    is uninstallable because of problems with libsysfs.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  7 Mar 2006 14:05:32 +0100

xdebconfigurator (1.21) unstable; urgency=low

  [ Steffen Joeris ]
  * Updated greek translation by Emmanuel Galatoulas (Closes: #344638)
  
  [ Bart Cornelis ]
  * Added Korean translation send in by Sunjae Park (Closes: #340014)

  [ Morten Werner Olsen ]
  * Using only the first line from discover when fetching info about the
    video driver.
  * Add version build dependency on debhelper.
  * Actually add suggests to lsb-base.
  * Use hwinfo to check driver's maximum color depth and use this as
    default depth if the "original" default depth is greater than the
    drivers maximum color depth. Also moving hwinfo from Suggest: to
    Depends: as hwinfo is the only tool able to find the driver's
    maximum color depth. (Closes: #319425)
  * Change my email-address in the Uploaders-field. :)
  
  [ Benjamin Sonntag <benjamin@sonntag.fr> ]
  * Generate the md5sum of XF86Config file in /var/lib/xfree86.
    (Closes Skolelinux bug #999)
  
 -- Morten Werner Olsen <werner@debian.org>  Fri,  3 Feb 2006 00:38:55 +0100

xdebconfigurator (1.20) unstable; urgency=low

  * Fix bug in the code handling xorg when using discover to detect
    hardware.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Nov 2005 14:48:38 +0100

xdebconfigurator (1.19) unstable; urgency=low

  [Petter Reinholdtsen]
  * Rename default monitor and card name to use 'Xdebconfigurator'
    instead of just 'Xdevc', to make it clearer what the value mean.
  * Make sure to not change debconf variables for keyboard/options and
    keyboard/variant.
  * Avoid returning xserver-unknown when discover don't know which
    server to recommend. (Closes: #334205)
  * Make dry-run (-x) more verbose, and add debug output option (-v).
  * Report source of mouse port information, to ease debugging.
  * Try to get xdebconfigurator working with Xorg packages. (Closes: #335150)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Nov 2005 16:54:17 +0100

xdebconfigurator (1.18) unstable; urgency=low

  [Petter Reinholdtsen]
  * Fix typo in init.d dependency header, s/Should-/Default-/.
  * Reduce kudzu dependency to recommend, as kudzu have RC bugs and was
    recently pulled from etch.
  * Remove Kristoffer Tjærnås from uploaders list.
    He moved on to other projects.
  * Updated Standards-Version to 3.6.2 (no changes needed).
  * Added debian/compat with content '4' to move to debhelper version 4.
    Updated rules file to cope with this.
  * Updated manual page to avoid syntax errors.
  * Debconf translations:
    - Added Swedish by Daniel Nylander. (Closes: #331354)

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  3 Oct 2005 22:12:05 +0200

xdebconfigurator (1.17) unstable; urgency=low

  * Add suggests on lsb-base, and use the init.d functions from
    /lib/lsb/init-functions when available.
  * Update init.d script with LSB info tags, documenting dependencies.
  * Debconf translations:
    - Update Vietnamese from Clytie Siddall. (Closes: #324239)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 21 Aug 2005 23:53:13 +0200

xdebconfigurator (1.16) unstable; urgency=low

  * Morten Werner Olsen
    - Undefining the xdriver if discover reports 'unknown'.
    - Removing the Xfree86 version 3 checking for hwinfo.
    - s/break/last/ from Tore's bugfixing :)
  * Tore Sinding Bekkedal
    - Fixed a bug which caused xdebconfigurator to choose wrong


=== debian/control ===
Source: xdebconfigurator
Section: x11
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.7.2

Package: xdebconfigurator
Architecture: all
Depends: ${misc:Depends}, perl-modules, discover | discover1, hwinfo
Recommends: read-edid, kudzu
Suggests: xresprobe | kudzu-vesa, detect, lsb-base
Description: A script used with debconf to autoconfigure xserver-xfree86
 A script-package used in conjunction with debconf to autoconfigure
 xserver-xfree86 and xserver-xorg.  This script is supposed to help setup
 X correctly even with DEBIAN_FRONTEND set to noninteractive.

## xdebconfigurator 1.28

=== debian/changelog ===
xdebconfigurator (1.28) unstable; urgency=low

  [ Luk Claes ]
  * Move kudzu from Recommends to Suggests as it has been removed.

  [ Steffen Joeris ]
  * Add myself to uploaders
  * Change short description to point to xserver-xorg instead of the
    old xserver-xfree86

 -- Steffen Joeris <white@debian.org>  Fri,  5 Jan 2007 11:07:35 +0100

=== debian/control ===
Source: xdebconfigurator
Section: x11
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>, Steffen Joeris <white@debian.org>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.7.2

Package: xdebconfigurator
Architecture: all
Depends: ${misc:Depends}, perl-modules, discover | discover1, hwinfo
Recommends: read-edid
Suggests: kudzu, xresprobe | kudzu-vesa, detect, lsb-base
Description: A script used with debconf to autoconfigure xserver-xorg
 A script-package used in conjunction with debconf to autoconfigure
 xserver-xfree86 and xserver-xorg.  This script is supposed to help setup
 X correctly even with DEBIAN_FRONTEND set to noninteractive.

## xdebconfigurator 1.30

=== Makefile ===
package = xdebconfigurator
version = 1.07

INSTALL      = install -D
INSTALL_DATA = install -m644 -D

prefix  = /usr
sbindir = $(prefix)/sbin
datadir = $(prefix)/share
pkgdir  = $(datadir)/$(package)
docdir  = $(datadir)/doc/$(package)

baseconfigdir = $(prefix)/lib/base-config

XDFILES = Xdriver.pl

all:

install-baseconfig:
	$(INSTALL) -d $(DESTDIR)$(baseconfigdir)/menu
	# Install Sarge fragment
	$(INSTALL_DATA) base-config/menu/xdebconfigurator.mnu \
		$(DESTDIR)$(baseconfigdir)/menu/xdebconfigurator.mnu
	$(INSTALL) base-config/76xdebconfigurator \
		$(DESTDIR)$(baseconfigdir)/menu/xdebconfigurator
	# Install Woody fragment
	ln -s menu/xdebconfigurator \
		$(DESTDIR)$(baseconfigdir)/76xdebconfigurator

install: install-baseconfig
	$(INSTALL) -d $(DESTDIR)$(sbindir)
	$(INSTALL) -d $(DESTDIR)$(pkgdir)
	$(INSTALL) -d $(DESTDIR)$(docdir)

	$(INSTALL) xdebconfigurator $(DESTDIR)$(sbindir)/xdebconfigurator

	for xd in $(XDFILES); do \
		$(INSTALL) $$xd $(DESTDIR)$(pkgdir)/$$xd; \
	done

	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README

clean:
	$(RM) .#* *~
distclean: clean
	-debian/rules clean

debdist:
	debuild -us -uc

dist: distclean
	rm -rf $(package)-$(version) $(package)-$(version).tar.gz
	mkdir $(package)-$(version)
	rsync --exclude=.svn --exclude CVS --exclude $(package)-$(version) -av . $(package)-$(version)
	tar cf $(package)-$(version).tar $(package)-$(version)
	gzip -9 $(package)-$(version).tar
	rm -rf $(package)-$(version)

=== debian/changelog ===
xdebconfigurator (1.30) unstable; urgency=low

  [ Morten Werner Forsbring ]
  * Remove 1152x864 from default modeline as this is not a good default
    for 15" monitors.
  * Bumped version number in man-page.
  * Changed my name.
  
  [ Steffen Joeris ]
  * Include updated Portuguese debconf translation (Closes: #426455)
    Thanks to Rui Branco

  [ Luk Claes ]
  * Removed myself from uploaders.

  [ Petter Reinholdtsen ]
  * Report source of monitor mode.
  * Stop using read-edid by default.

 -- Morten Werner Forsbring <werner@debian.org>  Sat, 03 Nov 2007 16:49:50 +0100

xdebconfigurator (1.29) unstable; urgency=low

  * Fix the mouse protocol to ImPS/2 if the mouse device is the
    multiplexed /dev/input/mice.  Solves skolelinux bug #1224.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Jul 2007 17:18:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>, Steffen Joeris <white@debian.org>
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>
 Build-Depends: debhelper (>= 4)
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -27,10 +27,10 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
-	cp debian/lintian-override $(CURDIR)/debian/tmp/usr/share/lintian/overrides/xdebconfigurator
+	cp debian/lintian-override $(CURDIR)/debian/xdebconfigurator/usr/share/lintian/overrides/xdebconfigurator
 
 	# Add here commands to install the package into debian/xdebconfigurator.
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/xdebconfigurator
 
 binary-arch:
 #       nothing here...

## xdebconfigurator 1.34

=== debian/changelog ===
xdebconfigurator (1.34) unstable; urgency=low

  * Rewrite how ddcprobe output is processed, to handle all listed
    resolutions and fetch monitor frequence.
  * Add example output from ddcprobe on a few machines.
  * Add support for xresprobe, and prefer it over ddcprobe.  Recommend
    it instead of read-edid (Closes: #286668, #305423, #305426,
    #418746).
  * Rewrite handling of the monitor database
    (/usr/share/hwdata/MonitorsDB), to use the values there if the
    eisa ID is there.  This allow us to override monitors with
    incorrect DDC information.
  * Start on our own MonitorsDB file, to allow us to include our own
    override values, and also use a file in /etc/ for site specific
    overrides.
  * Remove obsolete base-config fragments.
  * Updated standards-version to 3.8.0.
  * Avoid bashism in init.d script (Closes: #486061).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 25 Jun 2008 19:32:45 +0200

xdebconfigurator (1.33) unstable; urgency=low

  * Force removal of init.d symlinks when updating the runlevels
    (Closes: #472773).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 26 Apr 2008 22:53:22 +0200

xdebconfigurator (1.32) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Do not use kudzu and detect by default, as both are obsolete in Debian.
  * Make sure init.d/xdebconfigurator is only used as a start script,
    and start after syslog and before (xdm kdm gdm ldm).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Mar 2008 16:54:55 +0100

xdebconfigurator (1.31) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Drop the default-stop values from init.d/xdebconfigurator.  This
    script is only useful as a start script.

  [ Holger Levsen ]
  * bumped standards version to 3.7.3, upgraded link to
    /usr/share/common/licences/GPL-2 in copyright
  * fix national encoding in copyright
  * added myself to uploaders
  * don't ignore errors from "make clean" in rules

 -- Holger Levsen <holger@debian.org>  Thu, 14 Feb 2008 14:20:46 +0000

## xdebconfigurator 1.35

=== Makefile ===
package = xdebconfigurator
version = 1.07

INSTALL      = install -D
INSTALL_DATA = install -m644 -D

prefix  = /usr
sbindir = $(prefix)/sbin
datadir = $(prefix)/share
pkgdir  = $(datadir)/$(package)
docdir  = $(datadir)/doc/$(package)

XDPROG = Xdriver.pl
XDDATA = MonitorsDB  

all:

install:
	$(INSTALL) -d $(DESTDIR)$(sbindir)
	$(INSTALL) -d $(DESTDIR)$(pkgdir)
	$(INSTALL) -d $(DESTDIR)$(docdir)

	$(INSTALL) xdebconfigurator $(DESTDIR)$(sbindir)/xdebconfigurator

	for xd in $(XDPROG); do \
		$(INSTALL) $$xd $(DESTDIR)$(pkgdir)/$$xd; \
	done

	for xd in $(XDDATA); do \
		$(INSTALL_DATA) $$xd $(DESTDIR)$(pkgdir)/$$xd; \
	done

	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README

clean:
	$(RM) .#* *~
distclean: clean
	-debian/rules clean

debdist:
	debuild -us -uc

dist: distclean
	rm -rf $(package)-$(version) $(package)-$(version).tar.gz
	mkdir $(package)-$(version)
	rsync --exclude=.svn --exclude CVS --exclude $(package)-$(version) -av . $(package)-$(version)
	tar cf $(package)-$(version).tar $(package)-$(version)
	gzip -9 $(package)-$(version).tar
	rm -rf $(package)-$(version)

=== debian/changelog ===
xdebconfigurator (1.35) unstable; urgency=low

  * Skip comments and blank lines when processing MonitorsDB.
  * Add frequency override in MonitorsDB for id CPL5001.
  * Report match in MonitorsDB when -v is used.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  6 Jul 2008 13:04:55 +0200

=== debian/control ===
Source: xdebconfigurator
Section: x11
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.8.0

Package: xdebconfigurator
Architecture: all
Depends: ${misc:Depends}, perl-modules, discover | discover1, hwinfo
Recommends: xresprobe
Suggests: read-edid, kudzu, detect, lsb-base
Description: A script used with debconf to autoconfigure xserver-xorg
 A script-package used in conjunction with debconf to autoconfigure
 xserver-xfree86 and xserver-xorg.  This script is supposed to help setup
 X correctly even with DEBIAN_FRONTEND set to noninteractive.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 clean:
 	dh_testdir
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean 
 
@@ -49,7 +49,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-	dh_installinit
+	dh_installinit --no-restart-on-upgrade --no-start --update-rcd-params="start 20 2 3 4 5 ."
 #	dh_installcron
 #	dh_installinfo
 	dh_installman xdebconfigurator.8
